curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/bank-accounts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": {
"currencyCode": "<string>",
"value": 123
},
"date": "2023-12-25",
"description": "<string>",
"direction": "CREDIT",
"runningBalance": {
"currencyCode": "<string>",
"value": 123
}
}
],
"nextPaginationToken": "<string>",
"prevPaginationToken": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}List transactions
Retrieves transactions for a specific bank account with optional date filtering and pagination.
Token types: APP, USER | Required scopes: bank_account:read:org
Authorizations
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The bank account ID.
Query Parameters
Optional start date filter.
Optional end date filter.
Number of items to return (default 25, max 100).
Opaque pagination token from a previous response.
Field to order the transactions by (default date). Field a bank account transaction list is ordered by.
DATE Direction to order the transactions in (default descending, newest first). Direction a sorted list is ordered in.
ASC, DESC Response
Returns transactions.
A paginated response containing a page of results and navigation tokens.
The items in the current page.
Show child attributes
Show child attributes
A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page.
A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page.
Was this page helpful?